List all available integration types
curl --request GET \
--url https://api.getoneprofile.ai/integration/type/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/integration/type/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/integration/type/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/integration/type/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/integration/type/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/integration/type/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/integration/type/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"categories": [
"<string>"
],
"company_domain": "<string>",
"config_schema": {},
"created_at": "2023-11-07T05:31:56Z",
"credentials_schema": {},
"description": "<string>",
"display_name": "<string>",
"icon_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"implemented": true,
"integration_type": "<string>",
"name": "<string>",
"overview": "<string>",
"tagline": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"connect_methods": [
"oauth_connect"
],
"is_marketplace_listing": false,
"kind": "both",
"record_types": [
{
"display_name": "<string>",
"is_custom": true,
"slug": "<string>"
}
]
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}integration-types
List all available integration types
List all available integration types with their categories, display names and descriptions. Supports search, category, and kind filtering.
GET
/
integration
/
type
/
List all available integration types
curl --request GET \
--url https://api.getoneprofile.ai/integration/type/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/integration/type/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/integration/type/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/integration/type/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/integration/type/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/integration/type/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/integration/type/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"categories": [
"<string>"
],
"company_domain": "<string>",
"config_schema": {},
"created_at": "2023-11-07T05:31:56Z",
"credentials_schema": {},
"description": "<string>",
"display_name": "<string>",
"icon_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"implemented": true,
"integration_type": "<string>",
"name": "<string>",
"overview": "<string>",
"tagline": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"connect_methods": [
"oauth_connect"
],
"is_marketplace_listing": false,
"kind": "both",
"record_types": [
{
"display_name": "<string>",
"is_custom": true,
"slug": "<string>"
}
]
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
Category slugs to boost. Integrations in these categories appear first in results.
Maximum array length:
50Maximum string length:
255Filter integration types by category slug
Maximum string length:
255Filter by integration kind
Available options:
source, destination, both Filter to integration types that sync any of these record types (match ANY). Unknown slugs are ignored; wildcard integrations always match.
Maximum array length:
50Maximum string length:
255Search integration types by name or description
Maximum string length:
255The number of items to return.
Required range:
1 <= x <= 100Available options:
id, created_at, updated_at, name Available options:
asc, desc Set the cursor to the next or previous page. You can get the cursor from the previous page's response.
Response
Successful Response
Was this page helpful?